search

Copy page

Copy page as Markdown for LLMs

View as Markdown

View this page as plain text


Open in ChatGPT

Ask ChatGPT about this page

Open in Claude

Ask Claude about this page

Aspect Patterns

The Aspect Patterns API analyzes a natal chart to detect aspect patterns (such as stelliums) and returns a detailed aspects list along with planet data.


API Endpoint

POST https://astroapi-8.divineapi.com/western-api/v1/aspect-patterns

Returns Aspect Patterns in response.


Headers

NameTypeDescription
Authorization*Stringyour API Access Tokeneg: Bearer {token}

Request Body

NameTypeDescription
api_key*StringYour API key
full_name*StringFull name, ex: Rahul Kumar
day*IntegerDate of birth, eg: 24
month*IntegerMonth of birth, eg: 05
year*IntegerYear of birth, eg: 2023
hour*IntegerHour, eg: 14
min*IntegerMinute, eg: 40
sec*IntegerSecond, eg: 43
gender*StringGender, ex: male
place*StringPlace, ex: New Delhi, India
lat*FloatLatitude, eg: 28.7041
lon*FloatLongitude, eg: 77.1025
tzone*FloatTimezone, eg: 5.5 

200: OK Aspect Patterns fetched successfully

{
  "status": "success",
  "code": 200,
  "message": "Request successful",
  "data": {
    "patterns": {
      "grandTrines": [
        {
          "id": "Sun-Moon-Mars",
          "patternType": "grandTrine",
          "element": "fire",
          "planets": [
            "Sun",
            "Moon",
            "Mars"
          ],
          "aspects_list": [
            {
              "planetOne": "Sun",
              "planetTwo": "Moon",
              "orb": 1.2,
              "aspect": "Trine"
            },
            {
              "planetOne": "Moon",
              "planetTwo": "Mars",
              "orb": 0.8,
              "aspect": "Trine"
            },
            {
              "planetOne": "Sun",
              "planetTwo": "Mars",
              "orb": 2,
              "aspect": "Trine"
            }
          ],
          "image": {
            "svg": "<svg><!-- dummy grand trine --></svg>",
            "base64": "PHN2Zz48IS0tIGR1bW15IGdyYW5kIHRyaW5lIC0tPjwvc3ZnPg==",
            "width": 260,
            "height": 260
          }
        }
      ],
      "tSquares": [
        {
          "id": "Moon-Saturn-Sun",
          "patternType": "tSquare",
          "planets": [
            "Sun",
            "Moon",
            "Saturn"
          ],
          "aspects_list": [
            {
              "planetOne": "Sun",
              "planetTwo": "Moon",
              "orb": 0.4,
              "aspect": "Opposition"
            },
            {
              "planetOne": "Sun",
              "planetTwo": "Saturn",
              "orb": 1.1,
              "aspect": "Square"
            },
            {
              "planetOne": "Moon",
              "planetTwo": "Saturn",
              "orb": 1.7,
              "aspect": "Square"
            }
          ],
          "image": {
            "svg": "<svg><!-- dummy t-square --></svg>",
            "base64": "PHN2Zz48IS0tIGR1bW15IHQtc3F1YXJlIC0tPjwvc3ZnPg==",
            "width": 260,
            "height": 260
          }
        }
      ],
      "yods": [
        {
          "id": "Jupiter-Mars-Neptune",
          "patternType": "yod",
          "apex": "Neptune",
          "planets": [
            "Jupiter",
            "Mars",
            "Neptune"
          ],
          "aspects_list": [
            {
              "planetOne": "Jupiter",
              "planetTwo": "Mars",
              "orb": 1,
              "aspect": "Sextile"
            },
            {
              "planetOne": "Jupiter",
              "planetTwo": "Neptune",
              "orb": 1.5,
              "aspect": "Quincunx"
            },
            {
              "planetOne": "Mars",
              "planetTwo": "Neptune",
              "orb": 2.1,
              "aspect": "Quincunx"
            }
          ],
          "image": {
            "svg": "<svg><!-- dummy yod --></svg>",
            "base64": "PHN2Zz48IS0tIGR1bW15IHlvZCAtLT48L3N2Zz4=",
            "width": 260,
            "height": 260
          }
        }
      ],
      "kites": [
        {
          "id": "Jupiter-Mars-Moon-Sun|Sun",
          "patternType": "kite",
          "planets": [
            "Sun",
            "Moon",
            "Mars",
            "Jupiter"
          ],
          "grandTrinePlanets": [
            "Sun",
            "Moon",
            "Mars"
          ],
          "oppositionAnchor": "Sun",
          "apex": "Jupiter",
          "element": "air",
          "aspects_list": [
            {
              "planetOne": "Sun",
              "planetTwo": "Moon",
              "orb": 0.9,
              "aspect": "Trine"
            },
            {
              "planetOne": "Moon",
              "planetTwo": "Mars",
              "orb": 1.4,
              "aspect": "Trine"
            },
            {
              "planetOne": "Sun",
              "planetTwo": "Mars",
              "orb": 1.8,
              "aspect": "Trine"
            },
            {
              "planetOne": "Sun",
              "planetTwo": "Jupiter",
              "orb": 0.7,
              "aspect": "Opposition"
            },
            {
              "planetOne": "Moon",
              "planetTwo": "Jupiter",
              "orb": 1,
              "aspect": "Sextile"
            },
            {
              "planetOne": "Mars",
              "planetTwo": "Jupiter",
              "orb": 1.3,
              "aspect": "Sextile"
            }
          ],
          "image": {
            "svg": "<svg><!-- dummy kite --></svg>",
            "base64": "PHN2Zz48IS0tIGR1bW15IGtpdGUgLS0+PC9zdmc+",
            "width": 260,
            "height": 260
          }
        }
      ],
      "boatsWedges": [
        {
          "id": "A-B-C-D",
          "patternType": "boatWedge",
          "planets": [
            "A",
            "B",
            "C",
            "D"
          ],
          "aspects_list": [
            {
              "planetOne": "A",
              "planetTwo": "D",
              "orb": 1,
              "aspect": "Opposition"
            },
            {
              "planetOne": "A",
              "planetTwo": "B",
              "orb": 1,
              "aspect": "Sextile"
            },
            {
              "planetOne": "A",
              "planetTwo": "C",
              "orb": 1,
              "aspect": "Sextile"
            },
            {
              "planetOne": "B",
              "planetTwo": "C",
              "orb": 1,
              "aspect": "Trine"
            },
            {
              "planetOne": "B",
              "planetTwo": "D",
              "orb": 1,
              "aspect": "Sextile"
            },
            {
              "planetOne": "C",
              "planetTwo": "D",
              "orb": 1,
              "aspect": "Sextile"
            }
          ],
          "image": {
            "svg": "<svg><!-- dummy boat/wedge --></svg>",
            "base64": "PHN2Zz48IS0tIGR1bW15IGJvYXQvd2VkZ2UgLS0+PC9zdmc+",
            "width": 260,
            "height": 260
          }
        }
      ],
      "cradles": [
        {
          "id": "Jupiter-Moon-Saturn-Sun",
          "patternType": "cradle",
          "planets": [
            "Sun",
            "Jupiter",
            "Moon",
            "Saturn"
          ],
          "aspects_list": [
            {
              "planetOne": "Sun",
              "planetTwo": "Moon",
              "orb": 0.2,
              "aspect": "Opposition"
            },
            {
              "planetOne": "Sun",
              "planetTwo": "Jupiter",
              "orb": 1,
              "aspect": "Trine"
            },
            {
              "planetOne": "Moon",
              "planetTwo": "Saturn",
              "orb": 1,
              "aspect": "Trine"
            },
            {
              "planetOne": "Sun",
              "planetTwo": "Saturn",
              "orb": 1.3,
              "aspect": "Sextile"
            },
            {
              "planetOne": "Moon",
              "planetTwo": "Jupiter",
              "orb": 1.6,
              "aspect": "Sextile"
            },
            {
              "planetOne": "Jupiter",
              "planetTwo": "Saturn",
              "orb": 1.9,
              "aspect": "Sextile"
            }
          ],
          "image": {
            "svg": "<svg><!-- dummy cradle --></svg>",
            "base64": "PHN2Zz48IS0tIGR1bW15IGNyYWRsZSAtLT48L3N2Zz4=",
            "width": 260,
            "height": 260
          }
        }
      ],
      "mysticRectangles": [
        {
          "id": "Mars-Mercury-Moon-Sun",
          "patternType": "mysticRectangle",
          "planets": [
            "Sun",
            "Mercury",
            "Moon",
            "Mars"
          ],
          "aspects_list": [
            {
              "planetOne": "Sun",
              "planetTwo": "Moon",
              "orb": 1,
              "aspect": "Opposition"
            },
            {
              "planetOne": "Mercury",
              "planetTwo": "Mars",
              "orb": 1.1,
              "aspect": "Opposition"
            },
            {
              "planetOne": "Sun",
              "planetTwo": "Mercury",
              "orb": 1.2,
              "aspect": "Trine"
            },
            {
              "planetOne": "Moon",
              "planetTwo": "Mars",
              "orb": 1.3,
              "aspect": "Trine"
            },
            {
              "planetOne": "Sun",
              "planetTwo": "Mars",
              "orb": 1.4,
              "aspect": "Sextile"
            },
            {
              "planetOne": "Mercury",
              "planetTwo": "Moon",
              "orb": 1.5,
              "aspect": "Sextile"
            }
          ],
          "image": {
            "svg": "<svg><!-- dummy mystic rectangle --></svg>",
            "base64": "PHN2Zz48IS0tIGR1bW15IG15c3RpYyByZWN0YW5nbGUgLS0+PC9zdmc+",
            "width": 260,
            "height": 260
          }
        }
      ],
      "grandCrosses": [
        {
          "id": "Mars-Mercury-Moon-Sun",
          "patternType": "grandCross",
          "planets": [
            "Sun",
            "Mercury",
            "Moon",
            "Mars"
          ],
          "aspects_list": [
            {
              "planetOne": "Sun",
              "planetTwo": "Moon",
              "orb": 0.8,
              "aspect": "Opposition"
            },
            {
              "planetOne": "Mercury",
              "planetTwo": "Mars",
              "orb": 1,
              "aspect": "Opposition"
            },
            {
              "planetOne": "Sun",
              "planetTwo": "Mercury",
              "orb": 1.1,
              "aspect": "Square"
            },
            {
              "planetOne": "Mercury",
              "planetTwo": "Moon",
              "orb": 1.3,
              "aspect": "Square"
            },
            {
              "planetOne": "Moon",
              "planetTwo": "Mars",
              "orb": 1.5,
              "aspect": "Square"
            },
            {
              "planetOne": "Mars",
              "planetTwo": "Sun",
              "orb": 1.7,
              "aspect": "Square"
            }
          ],
          "image": {
            "svg": "<svg><!-- dummy grand cross --></svg>",
            "base64": "PHN2Zz48IS0tIGR1bW15IGdyYW5kIGNyb3NzIC0tPjwvc3ZnPg==",
            "width": 260,
            "height": 260
          }
        }
      ],
      "stelliums": [
        {
          "type": "sign",
          "sign": "ar",
          "planets": [
            "Sun",
            "Mercury",
            "Venus"
          ],
          "patternType": "stellium"
        },
        {
          "type": "house",
          "house": 10,
          "planets": [
            "Moon",
            "Mars",
            "Jupiter"
          ],
          "patternType": "stellium"
        }
      ]
    }
  }
}
   

Example Code Implementations

Below are example implementations in various programming environments.


cURL

curl --location 'https://astroapi-8.divineapi.com/western-api/v1/aspect-patterns' \
--header 'Authorization: Bearer {token}' \
--form 'api_key="Your API Key"' \
--form 'full_name="Rahul Kumar"' \
--form 'day="24"' \
--form 'month="05"' \
--form 'year="2023"' \
--form 'hour="14"' \
--form 'min="40"' \
--form 'sec="43"' \
--form 'gender="male"' \
--form 'place="New Delhi, India"' \
--form 'lat="28.7041"' \
--form 'lon="77.1025"' \
--form 'tzone="5.5"'

NodeJS

var request = require('request');
var options = {
  'method': 'POST',
  'url': 'https://astroapi-8.divineapi.com/western-api/v1/aspect-patterns',
  'headers': {
    'Authorization': 'Bearer {token}'
  },
  formData: {
    'api_key': 'Your API Key',
    'full_name': 'Rahul Kumar',
    'day': '24',
    'month': '05',
    'year': '2023',
    'hour': '14',
    'min': '40',
    'sec': '43',
    'gender': 'male',
    'place': 'New Delhi, India',
    'lat': '28.7041',
    'lon': '77.1025',
    'tzone': '5.5'
  }
};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});

JavaScript jQuery AJAX

var form = new FormData();
form.append("api_key", "Your API Key");
form.append("full_name", "Rahul Kumar");
form.append("day", "24");
form.append("month", "05");
form.append("year", "2023");
form.append("hour", "14");
form.append("min", "40");
form.append("sec", "43");
form.append("gender", "male");
form.append("place", "New Delhi, India");
form.append("lat", "28.7041");
form.append("lon", "77.1025");
form.append("tzone", "5.5");

var settings = {
  "url": "https://astroapi-8.divineapi.com/western-api/v1/aspect-patterns",
  "method": "POST",
  "timeout": 0,
  "headers": {
    "Authorization": "Bearer {token}"
  },
  "processData": false,
  "mimeType": "multipart/form-data",
  "contentType": false,
  "data": form
};

$.ajax(settings).done(function (response) {
  console.log(response);
});

Python

import requests

url = "https://astroapi-8.divineapi.com/western-api/v1/aspect-patterns"

payload = {'api_key': 'Your API Key',
'full_name': 'Rahul Kumar',
'day': '24',
'month': '05',
'year': '2023',
'hour': '14',
'min': '40',
'sec': '43',
'gender': 'male',
'place': 'New Delhi, India',
'lat': '28.7041',
'lon': '77.1025',
'tzone': '5.5'}
files=[

]
headers = {
  'Authorization': 'Bearer {token}'
}

response = requests.request("POST", url, headers=headers, data=payload, files=files)

print(response.text)

Implementation Notes

Use Authorization: Bearer {Your Auth Token} and {Your API Key} securely; never expose them in client-side code.

Provide date, time, and coordinates in correct numeric formats; use decimal timezone values (e.g., 5.5).

Check HTTP status codes, log responses, and handle 4xx/5xx errors gracefully.